package it.integry.integrywmsnative.gest.pv_ordine_acquisto_edit.dto;

import java.util.Date;
import java.util.List;

import it.integry.integrywmsnative.core.utility.UtilityDate;

public class OrdineDTO {
    private String chiaveGriglia;
    private String dataCons;

    private List<ArtDTO> artRows;

    public String getChiaveGriglia() {
        return chiaveGriglia;
    }

    public void setChiaveGriglia(String chiaveGriglia) {
        this.chiaveGriglia = chiaveGriglia;
    }

    public String getDataCons() {
        return dataCons;
    }

    public void setDataCons(String dataCons) {
        this.dataCons = dataCons;
    }

    public List<ArtDTO> getArtRows() {
        return artRows;
    }

    public void setArtRows(List<ArtDTO> artRows) {
        this.artRows = artRows;
    }
    public Date getDataConsD() {
        return UtilityDate.recognizeDateWithExceptionHandler(getDataCons());
    }

    public void setDataConsD(Date dataCons) {
        setDataCons(UtilityDate.formatDate(dataCons, UtilityDate.COMMONS_DATE_FORMATS.DMY_TIME_SLASH));
    }


}
